:root {
  --ifm-transition-fast: 200ms;
  --ifm-transition-timing-default: cubic-bezier(0.08, 0.52, 0.52, 1);
  --ifm-navbar-link-hover-color: #87b9c3;
}

body {
  padding: 0;
  margin: 0;
  font-family: 'Lato', sans-serif;
  position: relative;
  background: linear-gradient(164.74deg, #107386 7.82%, #00506D 89.28%);
  min-height: 100vh;
}

a {
  text-decoration: none;
}

.external-link-svg {
  margin-left: 0.3em;
  height: 1em;
  width: 1em;
}

/* Header Start */
header {
  position: relative;
  background: transparent;
  padding: 12px 45px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-logo .logo-link {
  font-size: 16px;
  color: white;
  text-decoration: none;
  font-weight: 600;
}

.header-links {
  position: relative;
}

.header-links ul {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  align-items: center;
}

.header-links ul li {
  display: inline-block;
  margin-right: 12px;
}

.header-links ul li:last-child {
  padding-right: 0px;
  margin-right: 0px;
  border-right: 0;
}

.header-links ul li .portal-link {
  color: white;
  text-decoration: none;
  font-size: 16px;
  font-weight: 500;
  display: flex;
  align-items: center;
  transition: color var(--ifm-transition-fast) var(--ifm-transition-timing-default);
}

.header-links ul li .portal-link:hover {
  color: var(--ifm-navbar-link-hover-color);
}

.header-links ul li .portal-link img {
  margin-left: 5px;
}

.language-select {
  border: 0;
  background-color: transparent;
  color: white;
  font-size: 16px;
  font-weight: 500;
  width: 75px;
  transition: color var(--ifm-transition-fast) var(--ifm-transition-timing-default);
}

.language-select:hover {
  color: var(--ifm-navbar-link-hover-color);
  cursor: pointer;
}

.language-select option {
  color: black;
}

/* Header End */

/* Upload start */
.upload-section {
  position: relative;
  height: auto;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding-bottom: 55px;
}

.upload-section .upload-title {
  margin: 0 0 40px 0;
  font-size: 18px;
  font-weight: 400;
  text-align: left;
}

.upload-box .main-logo {
  margin: 0 0 25px 0;
}

.upload-form-section {
  width: 890px;
  height: auto;
  background: #F1F1F1;
  border-radius: 4px;
  box-shadow: 4px 4px 8px rgba(18, 46, 69, 0.2);
  padding: 50px 50px;
}

.upload-file-section {
  position: relative;
  text-align: center;
  border-radius: 4px;
}

.select-file-box {
  display: flex;
  align-items: center;
  text-align: center;
  width: 100%;
  justify-content: center;
  flex-wrap: wrap;
  padding-bottom: 8px;
}

.upload-file-name {
  display: inline-flex;
  margin: 0px 0px 0px 10px;
}

.select-file-button {
  display: flex;
  align-items: center;
  text-align: center;
  width: 100%;
  justify-content: left;
}

.upload-btn-box {
  cursor: pointer;
  position: relative;
  display: flex;
  align-items: center;
  width: 150px;
  height: 50px;
  justify-content: center;
  background: #107386;
  border-radius: 5px;
  transition: background-color var(--ifm-transition-fast) var(--ifm-transition-timing-default);
}

.upload-btn-box:hover {
  background-color: #0c5c6b;
}

.upload-btn {
  cursor: pointer;
  opacity: 0;
  width: 100%;
  height: 100%;
}

.upload-btn-box label {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 18px;
  cursor: pointer;
}


/* .select-file-box label {
  font-size: 14px;
  color: #1F1F1F;
  margin: 5px 0 0 8px;
} */

.entity-select {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 20px 0px 25px 0;
}

.entity-select select {
  width: 332px;
  height: 40px;
  border: 1px solid #9F9F9F;
  border-radius: 4px;
  padding: 0px 10px;
  font-size: 16px;
  color: #1F1F1F;
  font-weight: 300;
  cursor: pointer;
}

.entity-select select:focus-visible {
  border: 1px solid rgb(16, 115, 134);
}

.info-link {
  margin: 0 0 0 10px;
}

.info-link img {
  width: 17px;
}

.download-radio-btns {
  display: flex;
  align-items: center;
  justify-content: center;
}

.download-radio-btns .download-text {
  margin: 0 15px 0 0;
  font-size: 16px;
  font-weight: 400;
}

.form-btn {
  display: inline-block;
  background-color: #107386;
  color: #ffffff;
  padding: 10px 30px;
  border-radius: 4px;
  font-size: 18px;
  margin: 20px 0 0 0;
  transition: background-color var(--ifm-transition-fast) var(--ifm-transition-timing-default);
  outline: none;
}

.form-btn:hover {
  background-color: #0c5c6b;
  outline: none;
}

.form-btn-disabled {
  display: inline-block;
  background-color: #5F95A0;
  color: #ffffff;
  padding: 10px 30px;
  border-radius: 4px;
  font-size: 18px;
  margin: 20px 0 0 0;
}

.document-links-box {
  position: relative;
  width: 60%;
  margin: 0 auto;
}

.document-links-box ul {
  margin: 0;
  padding: 0;
  list-style: none;
  text-align: left;
}

.document-links {
  font-size: 16px;
  display: inline-block;
  color: #00506D;
  font-weight: 500;
  margin: 0 0px 5px 0;
  transition: 0.3s all ease;
}

.document-links:hover {
  color: #000000;
  transition: 0.3s all ease;
}

.file-downloaded {
  display: inline-flex;
  visibility: hidden;
}

.file-downloaded img {
  margin-right: 10px;
}

/* Upload end */

/* Footer start */
footer {
  position: relative;
  /* left: 50%; */
  /* transform: translate(-50%, 0%); */
  /* bottom: 5px; */
  width: 100%;
  margin: 0 auto;
  text-align: center;
  padding: 10px 0px;
}

footer h3 {
  margin: 0 auto;
  width: 950px;
  color: white;
  font-size: 16px;
  line-height: 20px;
  font-weight: 300;
}

footer h3 .links {
  content: "\a";
  white-space: pre;
  text-decoration: none;
  color: white;
  transition: color var(--ifm-transition-fast) var(--ifm-transition-timing-default);
}

footer h3 .links:hover {
  color: var(--ifm-navbar-link-hover-color);
  text-decoration: underline;
}

/* Footer end */

/* The container */
.custom-radio-btn {
  display: block;
  position: relative;
  padding-left: 25px;
  margin: 0 10px 0 0;
  cursor: pointer;
  font-size: 16px;
  user-select: none;
}

.custom-radio-btn:last-child {
  margin: 0 0px 0 0;
}

/* Hide the browser's default radio button */
.custom-radio-btn input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Create a custom radio button */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 18px;
  width: 18px;
  background-color: #ffffff;
  border-radius: 50%;
  border: 1px solid #9F9F9F;
}

/* On mouse-over, add a grey background color */
.custom-radio-btn:hover input~.checkmark {
  background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.custom-radio-btn input:checked~.checkmark {
  background-color: #107386;
  border: 1px solid #107386;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the indicator (dot/circle) when checked */
.custom-radio-btn input:checked~.checkmark:after {
  display: block;
}

/* Style the indicator (dot/circle) */
.custom-radio-btn .checkmark:after {
  top: 4px;
  left: 4px;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: white;
}

/* Responsive */

@media (max-width: 1600px) {
  .upload-box .main-logo {
    width: 230px;
    margin: 0 0 15px 0;
  }

  .upload-form-section {
    padding: 30px 30px;
  }

  .upload-section .upload-title {
    margin: 0 0 30px 0;
  }

  .document-links-box {
    margin-top: 30px;
  }

  footer h3 {
    font-size: 15px;
  }
}

@media (max-width: 1440px) {
  .upload-box .main-logo {
    width: 220px;
    margin: 0 0 10px 0;
  }

  .upload-section .upload-title {
    margin: 0 0 20px 0;
    font-size: 16px;
  }

  .entity-select {
    margin: 15px 0px 15px 0;
  }

  .document-links-box {
    margin-top: 20px;
  }

  .upload-section {
    position: relative;
    padding-bottom: 0;
    height: auto;
  }

  footer {
    position: relative;
    margin: 10px 0 10px 0;
  }
}

@media (max-width: 991.98px) {}

@media (max-width: 767.98px) {}

@media (max-width: 575.98px) {}


.upload-box .main-logo {
    width: 230px; /* default size for large screens */
    margin: 0 0 15px 0;
}

@media (max-width: 1600px) {
  .upload-box .main-logo {
    width: 230px;
  }
}

@media (max-width: 1440px) {
  .upload-box .main-logo {
    width: 220px;
  }
}

.text-box-section {
    margin: 15px 0;
    text-align: left;
}

.text-box-section label {
    display: block;
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 5px;
}

.text-box {
    width: 100%;
    height: 40px;
    border: 1px solid #9F9F9F;
    border-radius: 4px;
    padding: 0 10px;
    font-size: 16px;
    color: #1F1F1F;
    font-weight: 300;
}

.text-box:focus {
    border-color: rgb(16, 115, 134);
    outline: none;
}

.step-buttons {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
}

.step-button, .disabled-button {
    width: 450px; /* Set a fixed width for both buttons */
    height: 50px; /* Set a fixed height for both buttons */
    background: #107386;
    color: white;
    text-decoration: none;
    border-radius: 4px;
    border: none;
    cursor: pointer;
    font-size: 16px; /* Set the same font size for both buttons */
    text-align: center;
    line-height: 50px; /* Vertically center the text */
}

.disabled-button {
    background-color: #ccc;
    cursor: not-allowed;
    color: white;
}

.step-button:hover {
  background-color: #0c5c6b;
}

.disabled-button:hover {
  background-color: #ccc;
}